from animatedobject import *

class Projectile(AnimatedObject):
	def __init__(self,x,y,xv,yv):
		AnimatedObject.__init__(self)
		self.posx = x
		self.posy = y
		self.xv = xv
		self.yv = yv
		self.sizex = 0.2
		self.sizey = 0.2
		self.speed = 0.1
		self.offset = (0,1)

	def update(self, timeDelta, world):
		self.posx+=timeDelta*self.xv*self.speed
		self.posy+=timeDelta*self.yv*self.speed
		AnimatedObject.update(self,timeDelta)



class PlayerProjectile(Projectile):
	def __init__(self,x,y,xv,yv):
		Projectile.__init__(self,x,y,xv,yv)
		self.objectName = "playershot"
		self.setAnimation("shot",10)
		self.visible = True
