from animatedobject import *

class Character(AnimatedObject):
	speed = 0.005
	runningDir = 0
	def __init__(self):
	        AnimatedObject.__init__(self)

	def update(self,xdelta,ydelta,td,world):

		ldata = world.levels[world.currentLevel].levelData

		walkable=True
		for i in range(3):
			xp = i/2.0-0.5
			for j in range(3):
				yp = j/2.0-0.5
				ctile = ldata[int(self.posx+xdelta+xp)][int(self.posy+ydelta+yp)]
				if not ctile:
					walkable=False
				else:
					if not ctile.walkable:
						walkable = False


		#print  (self.posx,self.posy)

		if walkable:
			self.posx+=xdelta
			self.posy+=ydelta
	
		if (xdelta > 0) and (ydelta == 0):
			self.setDirection("e")
		elif (xdelta < 0) and (ydelta ==0):
			self.setDirection("w")
		elif (xdelta == 0) and (ydelta > 0):
			self.setDirection("n")
		elif (xdelta == 0) and (ydelta < 0):
			self.setDirection("s")
		elif (xdelta > 0) and (ydelta > 0):
			self.setDirection("ne")
		elif (xdelta < 0) and (ydelta > 0):
			self.setDirection("nw")
		elif (xdelta > 0) and (ydelta < 0):
			self.setDirection("se")
		elif (xdelta < 0) and (ydelta < 0):
			self.setDirection("sw")

		if xdelta or ydelta:
			AnimatedObject.update(self,td)

