from character import *

class Player(Character):
	objectName = "alien1"
	dir = "s"
	animdel = 40
	health = 100

	def __init__(self):
		Character.__init__(self)

	
	def update(self,xd,yd,td,world):
		#Transfor player coordinates into world coordinates
		speed = self.speed
		sq2 = 2**0.5
		if abs(xd) and abs(yd):
			xd*= 0.5*2**0.5
			yd*= 0.5*2**0.5

		xdelta = (xd - yd)/sq2 * td * speed
		ydelta = (xd + yd)/sq2 * td * speed

		self.xdelta = xdelta
		self.ydelta = ydelta

		Character.update(self,xdelta,ydelta,td,world)

	def setDirection(self,dir):
		if self.dir!=dir:
			self.dir=dir
			if dir == "n":
				self.setAnimation("running-ne",self.animdel)
			elif dir == "s":
				self.setAnimation("running-sw",self.animdel)
			elif dir == "w":
				self.setAnimation("running-nw",self.animdel)
			elif dir == "e":
				self.setAnimation("running-se",self.animdel)
			elif dir == "nw":
				self.setAnimation("running-n",self.animdel)
			elif dir == "ne":
				self.setAnimation("running-e",self.animdel)
			elif dir == "sw":
				self.setAnimation("running-w",self.animdel)
			elif dir == "se":
				self.setAnimation("running-s",self.animdel)
